Subject: update
From: "LLPS Customer Service" <[email-masked]>
To: "Mangers LLPS" <[email-masked]>
Date: Thu, 12 Dec 2013 16:20:58 -0500

Hello all.

Changes were made to the invoice so that the address is working better for both the invoice and shipping label.  Also communicated with Customer Service reps to use better abbreviations with the addresses they are entering to help as well.

Spoke with CS reps about leaving better explanations in both the shipping and order notes.  More details bring better understanding for everyone involved and cut down on the need for follow up.

Working to get searches functioning properly in our systems.  Currently we are limited in what can be done based on the way the system was originally designed.  Joey has stated they will probably need to rewrite much of the code so that we will be able to have this needed functionality .  These changes will benefit all departments and give everyone options in researching and troubleshooting orders.  I know this will probably be a rather large task to get this in place.  So thank you Joey and Ryan in advance.  

It still seems that the majority of the inbound calls are Corporate calls.  However the sales have been picking up for LLPS orders.  So far this week we are already $9,395.57 ahead of last week's CC sales.  There have been quite a few bigger orders this week which does make up some of this as well as reps doing a pretty good job with the upsells.

I am looking into adding Spanish posters for the states we do not currently have.  I have Colorado and DC of which we have already had requests for.  Please let me know if you have customers from any other states that are requesting Spanish translations. 

Thank you,
Michael B
LLPS